Jump to content

FSUIPC 3.70 by IVAO


Recommended Posts

Hi Peter. I know u have a lot of Qs so I'll try to be brief. I registered to IVAO and I installed the IVAP program which asks if it has to install FSUIPC or not. I say yes but when I check in the ingame menu, it still appears the version 2.975 installed. I deleted the fsuipc.dll from modules dir and tried to install the 3.70 again. Still the same problem: it appears the 2.975 version installed and teh Ivap does not start saying that FSUIPC is not installed or not present. Any idea? Many thanks. Adriano Brilli

Link to comment
Share on other sites

I registered to IVAO and I installed the IVAP program which asks if it has to install FSUIPC or not. I say yes but when I check in the ingame menu, it still appears the version 2.975 installed.

Sounds like you have a VERY very old version of IVAP, then, as FSUIPC 2.975 only applies to FS2002 and earlier and hasn't been available or supported now for nearly 4 years!

I deleted the fsuipc.dll from modules dir and tried to install the 3.70 again.

3.70 is not supported either. The current version is 3.73 (with a later version still available in the "other downloads" announcement above).

Also, what do you mean by "tried to install"? Installing is only a matter of copying the DLL into the modules folder. If you copy version 3.7x into the modules folder and don't try installing another bad and very old package it will still be 3.7x -- it cannot change by itself!

Regards

Pete

Link to comment
Share on other sites

Hi Peter. thanks for your answer. Of course I meant I copied the fsuipc.dll into the modules folder, that's the installation procedure of fsuipc I know so this is what I meant. The strange is that I placed the fsuipc dll version 3.70 but the FS2002 still see it as the older version, when I click on the ingame menu/MODULES, it tells me there is still fsuipc version 2.975! That's the strange thing. I will try with the 3.73 you mentioned right tonight and I try again. Thanks.

Link to comment
Share on other sites

The strange is that I placed the fsuipc dll version 3.70 but the FS2002 still see it as the older version, when I click on the ingame menu/MODULES, it tells me there is still fsuipc version 2.975!

There are only three possible explanations I can think of for that.

1. You are, in fact, putting a correct FSUIPC 3.70 into a folder, and maybe even a Modules folder, but not the FS Modules folder for the version of FS you are, in fact, running! (Don't laugh -- this has happened to folks many times!)

2. Or, the DLL you think is 3.70 is actually 2.975. Right clcik on it, and check: Properties -- Version.

3. Or there is another copy of FSUIPC either in the correct Modules folder, but with a different name, or in the main FS folder.

Regards

Pete

Link to comment
Share on other sites

Hi Peter, thanks for your answer.

1. just to be sure I am running the same FS2002 I placed the 3.73 into the modules and I went up one dir and run the fs2002.exe file, so it is the same FS I just updated the fsuipc.

2. I right click on the new dll and it says version 3.73 made on march the 1st 2007

3. I sorted the Modules dir by name so all files are in alfabetic order

Done all these, still the FS reports 2.795 is running and Ivap doesn't start.

I'll do like this: I reinstall the entire FS2002, maybe our mate Bill created some new sort of bug, so, usual solution: start again from 0.

That's really bothering.....I never had this problem too so I really don't know... Thanks again for your kind support. Adriano

Link to comment
Share on other sites

Done all these, still the FS reports 2.795 is running and Ivap doesn't start.

WHERE exactly does "FS report" this? What does this message look like? Are you sure it isn't simply saying it needs 2.975?

Go to the Modules menu, select FSUIPC, look at the information displayed.

Close FS2002, go to the Modules folder, see the FSUIPC.LOG fiole? Is it the data and time of your FS session? Open it in a text editor. What does the first line say?

I'll do like this: I reinstall the entire FS2002, maybe our mate Bill created some new sort of bug, so, usual solution: start again from 0.

Don't do that, at least not yet. I'm sure there's something you are not telling me. It simply is not possible for version 3.73 to say it is 2.975.

Regards

Pete

Link to comment
Share on other sites

Hi Peter.

Solved, finally. You were right, the old fsuipc was not in the FS2002/Modules dir but inside the FS2002 (the upper dir). Also if that old version was stored in the wrong dir, the FS2002 still found it and didn't mind about the new version I correctly placed in Modules dir.

Cancelled that the ingame menu, under Modules, clicking FSUIPC says me that the version now detected is the 3.73. Correctly. I have to register it, I guess. So I think I have to buy the license, correct? Many thanks.

Link to comment
Share on other sites

Solved, finally. You were right, the old fsuipc was not in the FS2002/Modules dir but inside the FS2002 (the upper dir). Also if that old version was stored in the wrong dir, the FS2002 still found it and didn't mind about the new version I correctly placed in Modules dir.

Yes, FS2002 used to do that.

Correctly. I have to register it, I guess. So I think I have to buy the license, correct? Many thanks.

Only if you want to use the facilities. Browse through the User guide, see if you want it.

Regards

Pete

Link to comment
Share on other sites

Sorry Peter, I already bought an year ago, I think, a license for the fsuipc.

Do I have to pay to have the newest version or the old reg code can be used this time as well? Note that I don't find anymore that code, I reinstalled this PC and I forgot to take note of the license no.

If you have can u email me? adrianobrilli@libero.it

Link to comment
Share on other sites

Do I have to pay to have the newest version or the old reg code can be used this time as well? Note that I don't find anymore that code, I reinstalled this PC and I forgot to take note of the license no.

If you have can u email me? adrianobrilli@libero.it

1. An FSUIPC 3 registration is valid for FSUIPC 3 for all time. You would need a new one for FSUIPC 4 (for FSX and beyond).

2. I don't have the Keys. Please see the Announcement/Sticky above about what to do if you lose your key.

Regards

Pete

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use. Guidelines Privacy Policy We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.